Skip to main content
POST
Renew a service token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

token_id
string<uuid>
required

Body

application/json
overlap_hours
integer
default:24
Required range: 0 <= x <= 168

Response

The replacement token

id
string<uuid>
required
token
string
required

The replacement secret, returned only this once.

name
string
required
account_id
string<uuid>
required
account_name
string
required
label
string
required
role_slug
string
required
expires_at
string
required
type
string
required
scopes
string[]
required
replaced_token_id
string<uuid>
required
old_token_valid_until
string
required